#include <bits/errno-return.h>
#include <luna/Heap.h>
#include <sys/mman.h>
#include <sys/syscall.h>
#include <unistd.h>

extern "C"
{
    void* mmap(void* addr, size_t len, int prot, int flags, int, off_t)
    {
        long rc = syscall(SYS_mmap, addr, len, prot, flags);
        __errno_return(rc, void*);
    }

    int munmap(void* addr, size_t len)
    {
        long rc = syscall(SYS_munmap, addr, len);
        __errno_return(rc, int);
    }
}
